
<chapter>
<chaptertitle>THYRISTORS</chaptertitle>

<para>
<bold>*** INCOMPLETE ***</bold>
</para>

<section>
<sectiontitle>Hysteresis</sectiontitle>

<para>
Thyristors are a class of semiconductor components exhibiting <italic>hysteresis</italic>, that property whereby a system fails to return to its original state after some cause of state change has been removed.  A very simple example of hysteresis is the mechanical action of a toggle switch: when the lever is pushed, it flips to one of two extreme states (positions) and will remain there even after the source of motion is removed (after you remove your hand from the switch lever).  To illustrate the absence of hysteresis, consider the action of a "momentary" pushbutton switch, which returns to its original state after the button is no longer pressed: when the stimulus is removed (your hand), the system (switch) immediately and fully returns to its prior state with no "latching" behavior.
</para>

<para>
Bipolar, junction field-effect, and insulated gate field-effect transistors are all non-hysteretic devices.  That is, they do not inherently "latch" into a state after being stimulated by a voltage or current signal.  For any given input signal at any given time, a transistor will exhibit a predictable output response as defined by its characteristic curve.  Thyristors, on the other hand, are semiconductor devices that tend to stay "on" once turned on, and tend to stay "off" once turned off.  A momentary event is able to flip these devices into either their on or off states where they will remain that way on their own, even after the cause of the state change is taken away.  As such, they are useful only as on/off switching devices -- much like a toggle switch -- and cannot be used as analog signal amplifiers.
</para>

<index>Positive feedback</index>
<index>Regenerative feedback</index>

<para>
Thyristors are constructed using the same technology as bipolar junction transistors, and in fact may be analyzed as circuits comprised of transistor pairs.  How then, can a hysteretic device (a thyristor) be made from non-hysteretic devices (transistors)?  The answer to this question is <italic>positive feedback</italic>, also known as <italic>regenerative feedback</italic>.  As you should recall, feedback is the condition where a percentage of the output signal is "fed back" to the input of an amplifying device.  Negative, or degenerative, feedback results in a diminishing of voltage gain with increases in stability, linearity, and bandwidth.  Positive feedback, on the other hand, results in a kind of instability where the amplifier's output tends to "saturate."  In the case of thyristors, this saturating tendency equates to the device "wanting" to stay on once turned on, and off once turned off.
</para>

<para>
In this chapter we will explore several different kinds of thyristors, most of which stem from a single, basic two-transistor core circuit.  Before we do that, though, it would be beneficial to study the technological predecessor to thyristors: gas discharge tubes.
</para>

</section>




<section>
<sectiontitle>Gas discharge tubes</sectiontitle>

<para>
If you've ever witnessed a lightning storm, you've seen electrical hysteresis in action (and probably didn't realize what you were seeing).  The action of strong wind and rain accumulates tremendous static electric charges between cloud and earth, and between clouds as well.  Electric charge imbalances manifest themselves as high voltages, and when the electrical resistance of air can no longer hold these high voltages at bay, huge surges of current travel between opposing poles of electrical charge which we call "lightning."
</para>

<para>
The buildup of high voltages by wind and rain is a fairly continuous process, the rate of charge accumulation increasing under the proper atmospheric conditions.  However, lightning bolts are anything but continuous: they exist as relatively brief surges rather than continuous discharges.  Why is this?  Why don't we see soft, glowing lightning <italic>arcs</italic> instead of violently brief lightning <italic>bolts</italic>?  The answer lies in the nonlinear (and hysteretic) resistance of air.
</para>

<index>Plasma</index>
<index>Ionization</index>

<para>
Under ordinary conditions, air has an extremely high amount of resistance.  It is so high, in fact, that we typically treat its resistance as infinite and electrical conduction through the air as negligible.  The presence of water and/or dust in air lowers its resistance some, but it is still an insulator for most practical purposes.  When a sufficient amount of high voltage is applied across a distance of air, though, its electrical properties change: electrons become "stripped" from their normal positions around their respective atoms and are liberated to constitute a current.  In this state, air is considered to be <italic>ionized</italic> and is referred to as a <italic>plasma</italic> rather than a normal <italic>gas</italic>.  This usage of the word "plasma" is not to be confused with the medical term (meaning the fluid portion of blood), but is a fourth state of matter, the other three being solid, liquid, and vapor (gas).  Plasma is a relatively good conductor of electricity, its specific resistance being much lower than that of the same substance in its gaseous state.
</para>

<para>
As an electric current moves through the plasma, there is energy dissipated in the plasma in the form of heat, just as current through a solid resistor dissipates energy in the form of heat.  In the case of lightning, the temperatures involved are extremely high.  High temperatures are also sufficient to convert gaseous air into a plasma or maintain plasma in that state without the presence of high voltage.  As the voltage between cloud and earth, or between cloud and cloud, decreases as the charge imbalance is neutralized by the current of the lightning bolt, the heat dissipated by the bolt maintains the air path in a plasma state, keeping its resistance low.  The lightning bolt remains a plasma until the voltage decreases to too low a level to sustain enough current to dissipate enough heat.  Finally, the air returns to a normal, gaseous state and stops conducting current, thus allowing voltage to build up once more.
</para>

<para>
Note how throughout this cycle, the air exhibits hysteresis.  When not conducting electricity, it tends to <italic>remain an insulator</italic> until voltage builds up past a critical threshold point.  Then, once it changes state and becomes a plasma, it tends to <italic>remain a conductor</italic> until voltage falls below a lower critical threshold point.  Once "turned on" it tends to stay "on," and once "turned off" it tends to stay "off."  This hysteresis, combined with a steady buildup of voltage due to the electrostatic effects of wind and rain, explains the action of lightning as brief bursts.
</para>

<index>Relaxation oscillator</index>
<index>Oscillator, relaxation</index>

<para>
In electronic terms, what we have here in the action of lightning is a simple <italic>relaxation oscillator</italic>.  Oscillators are electronic circuits that produce an oscillating (AC) voltage from a steady supply of DC power.  A relaxation oscillator is one that works on the principle of a charging capacitor that is suddenly discharged every time its voltage reaches a critical threshold value.  One of the simplest relaxation oscillators in existence is comprised of three components (not counting the DC power supply): a resistor, capacitor, and neon lamp:
</para>

<image>03189.png</image> 

<para>
Neon lamps are nothing more than two metal electrodes inside a sealed glass bulb, separated by the neon gas inside.  At room temperatures and with no applied voltage, the lamp has nearly infinite resistance.  However, once a certain threshold voltage is exceeded (this voltage depends on the gas pressure and geometry of the lamp), the neon gas will become ionized (turned into a plasma) and its resistance dramatically reduced.  In effect, the neon lamp exhibits the same characteristics as air in a lightning storm, complete with the emission of light as a result of the discharge, albeit on a much smaller scale.
</para>

<para>
The capacitor in the relaxation oscillator circuit shown above charges at an inverse exponential rate determined by the size of the resistor.  When its voltage reaches the threshold voltage of the lamp, the lamp suddenly "turns on" and quickly discharges the capacitor to a low voltage value.  Once discharged, the lamp "turns off" and allows the capacitor to build up a charge once more.  The result is a series of brief flashes of light from the lamp, the rate of which dictated by battery voltage, resistor resistance, capacitor capacitance, and lamp threshold voltage.
</para>

<index>Thyratron tube</index>
<index>Triode tube</index>

<para>
While gas-discharge lamps are more commonly used as sources of illumination, their hysteretic properties were leveraged in slightly more sophisticated variants known as <italic>thyratron tubes</italic>.  Essentially a gas-filled triode tube (a triode being a three-element vacuum electron tube performing much a similar function to the N-channel, D-type IGFET), the thyratron tube could be turned on with a small control voltage applied between grid and cathode, and turned off by reducing the plate-to-cathode voltage.
</para>

<image>03018.png</image> 

<para>
In essence, thyratron tubes were <italic>controlled</italic> versions of neon lamps built specifically for switching current to a load.  The dot inside the circle of the schematic symbol indicates a gas fill, as opposed to the hard vacuum normally seen in other electron tube designs.  In the circuit shown above, the thyratron tube allows current through the load in one direction (note the polarity across the load resistor) when triggered by the small DC control voltage connected between grid and cathode.  Note that the load's power source is AC, which provides a clue as to how the thyratron turns off after it's been triggered on: since AC voltage periodically passes through a condition of 0 volts between half-cycles, the current through an AC-powered load must also periodically halt.  This brief pause of current between half-cycles gives the tube's gas time to cool, letting it return to its normal "off" state.  Conduction may resume only if there is enough voltage applied by the AC power source (some other time in the wave's cycle) <italic>and</italic> if the DC control voltage allows it.
</para>

<para>
An oscilloscope display of load voltage in such a circuit would look something like this:
</para>

<image>03190.png</image> 

<para>
As the AC supply voltage climbs from zero volts to its first peak, the load voltage remains at zero (no load current) until the threshold voltage is reached.  At that point, the tube switches "on" and begins to conduct, the load voltage now following the AC voltage through the rest of the half cycle.  Notice how there is load voltage (and thus load current) even when the AC voltage waveform has dropped below the threshold value of the tube.  This is hysteresis at work: the tube stays in its conductive mode past the point where it first turned on, continuing to conduct until there the supply voltage drops off to almost zero volts.  Because thyratron tubes are one-way (diode) devices, there is no voltage across the load through the negative half-cycle of AC.  In practical thyratron circuits, multiple tubes arranged in some form of full-wave rectifier circuit to facilitate full-wave DC power to the load.  
</para>

<index>Voltage-controlled oscillator</index>
<index>VCO</index>

<para>
Although I'm not sure if this was ever done, someone could have applied the thyratron tube to a relaxation oscillator circuit and control the frequency with a small DC voltage between grid and cathode, making a crude voltage-controlled oscillator, otherwise known as a <italic>VCO</italic>.  Relaxation oscillators tend to have poor frequency control, not to mention a very non-sinusoidal output, and so they exist mostly as demonstration circuits (as is the case here) or in applications where precise frequency control isn't important.  Consequently, this use of a thyratron tube would not have been a very practical one.
</para>

<image>03191.png</image> 

<para>
I speak of thyratron tubes in the past tense for good reason: modern semiconductor components have obsoleted thyratron tube technology for all but a few very special applications.  It is no coincidence that the word <italic>thyristor</italic> bears so much similarity to the word <italic>thyratron</italic>, for this class of semiconductor components does much the same thing: use <italic>hy</italic>ste<italic>r</italic>etically switch current on and off.  It is these modern devices that we now turn our attention to.
</para>


  
<itemize>
<item><bold>REVIEW:</bold></item>
<item>Electrical <italic>hysteresis</italic>, the tendency for a component to remain "on" (conducting) after it begins to conduct and to remain "off" (nonconducting) after it ceases to conduct, helps to explain why lightning bolts exist as momentary surges of current rather than continuous discharges through the air.</item>
<item>Simple gas-discharge tubes such as neon lamps exhibit electrical hysteresis.</item>
<item>More advanced gas-discharge tubes have been made with control elements so that their "turn-on" voltage could be adjusted by an external signal.  The most common of these tubes was called the <italic>thyratron</italic>.</item>
<item>Simple oscillator circuits called <italic>relaxation oscillators</italic> may be created with nothing more than a resistor-capacitor charging network and a hysteretic device connected across the capacitor.</item>
</itemize>

</section>






<section>
<sectiontitle>The Shockley Diode</sectiontitle>

<index>Four-layer diode</index>
<index>4-layer diode</index>
<index>PNPN diode</index>
<index>Shockley diode</index>
<index>Diode, Shockley</index>
<index>Diode, PNPN</index>
<index>Diode, four-layer</index>

<para>
Our exploration of thyristors begins with a device called the <italic>four-layer diode</italic>, also known as a <italic>PNPN diode</italic>, or a <italic>Shockley diode</italic> after its inventor, William Shockley.  This is not to be confused with a <italic>Schottky diode</italic>, that two-layer metal-semiconductor device known for its high switching speed.  A crude illustration of the Shockley diode, often seen in textbooks, is a four-layer sandwich of P-N-P-N semiconductor material:
</para>

<image>03192.png</image> 

<para>
Unfortunately, this simple illustration does nothing to enlighten the viewer on how it works or why.  Consider an alternative rendering of the device's construction:
</para>

<image>03193.png</image> 

<para>
Shown like this, it appears to be a set of interconnected bipolar transistors, one PNP and the other NPN.  Drawn using standard schematic symbols, and respecting the layer doping concentrations not shown in the last image, the Shockley diode looks like this:
</para>

<image>03194.png</image> 

<para>
Let's connect one of these devices to a source of variable voltage and see what happens:
</para>

<image>03195.png</image> 

<para>
With no voltage applied, of course there will be no current.  As voltage is initially increased, there will still be no current because neither transistor is able to turn on: both will be in cutoff mode.  To understand why this is, consider what it takes to turn a bipolar junction transistor on: current through the base-emitter junction.  As you can see in the diagram, base current through the lower transistor is controlled by the upper transistor, and the base current through the upper transistor is controlled by the lower transistor.  In other words, neither transistor can turn on until the <italic>other</italic> transistor turns on.  What we have here, in vernacular terms, is known as a Catch-22.
</para>

<para>
So how can a Shockley diode ever conduct current, if its constituent transistors stubbornly maintain themselves in a state of cutoff?  The answer lies in the behavior of <italic>real</italic> transistors as opposed to <italic>ideal</italic> transistors.  An ideal bipolar transistor will never conduct collector current if there is no base current, no matter how much or little voltage we apply between collector and emitter.  Real transistors, on the other hand, have definite limits to how much collector-emitter voltage they can withstand before they break down and conduct.  If two real transistors are connected together in this fashion to form a Shockley diode, they <italic>will</italic> be able to conduct if there is sufficient voltage applied by the battery between anode and cathode to cause one of them to break down.  Once one transistor breaks down and begins to conduct, it will allow base current through the other transistor, causing it to turn on in a normal fashion, which then allows base current through the first transistor.  The end result is that both transistors will be saturated, now keeping each other turned on instead of off.
</para>

<para>
So, we can force a Shockley diode to turn on by applying sufficient voltage between anode and cathode.  As we have seen, this will inevitably cause one of the transistors to turn on, which then turns the other transistor on, ultimately "latching" both transistors on where they will tend to remain.  But how do we now get the two transistors to turn off again?  Even if the applied voltage is reduced to a point well below what it took to get the Shockley diode conducting, it will remain conducting because both transistors now have base current to maintain regular, controlled conduction.  The answer to this is to reduce the applied voltage to a much lower point where there is too little current to maintain transistor bias, at which point one of the transistors will cutoff, which then halts base current through the other transistor, sealing both transistors in the "off" state as they were before any voltage was applied at all.
</para>

<para>
If we graph this sequence of events and plot the results on an I/V graph, the hysteresis is very evident.  First, we will observe the circuit as the DC voltage source (battery) is set to zero voltage:
</para>

<image>03196.png</image> 

<para>
Next, we will steadily increase the DC voltage.  Current through the circuit is at or nearly at zero, as the breakdown limit has not been reached for either transistor:
</para>

<image>03197.png</image> 

<para>
When the voltage breakdown limit of one transistor is reached, it will begin to conduct collector current even though no base current has gone through it yet.  Normally, this sort of treatment would destroy a bipolar junction transistor, but the PNP junctions comprising a Shockley diode are engineered to take this kind of abuse, similar to the way a Zener diode is built to handle reverse breakdown without sustaining damage.  For the sake of illustration I'll assume the lower transistor breaks down first, sending current through the base of the upper transistor:
</para>

<image>03198.png</image> 

<para>
As the upper transistor receives base current, it turns on as expected.  This action allows the lower transistor to conduct normally, the two transistors "sealing" themselves in the "on" state.  Full current is very quickly seen in the circuit:
</para>

<image>03199.png</image> 

<para>
The positive feedback mentioned earlier in this chapter is clearly evident here.  When one transistor breaks down, it allows current through the device structure.  This current may be viewed as the "output" signal of the device.  Once an output current is established, it works to hold both transistors in saturation, thus ensuring the continuation of a substantial output current.  In other words, an output current "feeds back" positively to the input (transistor base current) to keep both transistors in the "on" state, thus reinforcing (or <italic>regenerating</italic>) itself.
</para>

<para>
With both transistors maintained in a state of saturation with the presence of ample base current, they will continue to conduct even if the applied voltage is greatly reduced from the breakdown level.  The effect of positive feedback is to keep both transistors in a state of saturation despite the loss of input stimulus (the original, high voltage needed to break down one transistor and cause a base current through the other transistor):
</para>

<image>03200.png</image> 

<para>
If the DC voltage source is turned down too far, though, the circuit will eventually reach a point where there isn't enough current to sustain both transistors in saturation.  As one transistor passes less and less collector current, it reduces the base current for the other transistor, thus reducing base current for the first transistor.  The vicious cycle continues rapidly until both transistors fall into cutoff:
</para>

<image>03201.png</image> 

<para>
Here, positive feedback is again at work: the fact that the cause/effect cycle between both transistors is "vicious" (a decrease in current through one works to decrease current through the other, further decreasing current through the first transistor) indicates a positive relationship between output (controlled current) and input (controlling current through the transistors' bases).
</para>

<para>
The resulting curve on the graph is classicly hysteretic: as the input signal (voltage) is increased and decreased, the output (current) does not follow the same path going down as it did going up:
</para>

<image>03202.png</image> 

<para>
Put in simple terms, the Shockley diode tends to stay on once it's turned on, and stay off once it's turned off.  There is no "in-between" or "active" mode in its operation: it is a purely on or off device, as are all thyristors.
</para>

<index>Latching, thyristor</index>
<index>Firing, thyristor</index>
<index>Breakover, thyristor</index>
<index>Breakdown, transistor</index>
<index>Dropout, thyristor</index>

<para>
There are a few special terms applied to Shockley diodes and all other thyristor devices built upon the Shockley diode foundation.  First is the term used to describe its "on" state: <italic>latched</italic>.  The word "latch" is reminiscent of a door lock mechanism, which tends to keep the door closed once it has been pushed shut.  The term <italic>firing</italic> refers to the initiation of a latched state.  In order to get a Shockley diode to latch, the applied voltage must be increased until <italic>breakover</italic> is attained.  Despite the fact that this action is best described in terms of transistor break<italic>down</italic>, the term break<italic>over</italic> is used instead because the end result is a pair of transistors in mutual saturation rather than destruction as would be the case with a normal transistor.  A latched Shockley diode is re-set back into its nonconducting state by reducing current through it until <italic>low-current dropout</italic> occurs.
</para>

<para>
It should be noted that Shockley diodes may be fired in a way other than breakover: excessive <italic>voltage rise</italic>, or <italic>dv/dt</italic>.  This is when the applied voltage across the diode increases at a high rate of change.  This is able to cause latching (turning on) of the diode due to inherent junction capacitances within the transistors.  Capacitors, as you may recall, oppose <italic>changes</italic> in voltage by drawing or supplying current.  If the applied voltage across a Shockley diode rises at too fast a rate, those tiny capacitances will draw enough current during that time to activate the transistor pair, turning them both on.  Usually, this form of latching is undesirable, and can be minimized by filtering high-frequency (fast voltage rises) from the diode with series inductors and/or parallel resistor-capacitor networks called <italic>snubbers</italic>:
</para>

<image>03203.png</image> 

<index>Critical rate of voltage rise</index>
<index>Voltage rise, critical rate of</index>

<para>
The voltage rise limit of a Shockley diode is referred to as the <italic>critical rate of voltage rise</italic>.  Manufacturers usually provide this specification for the devices they sell.
</para>
 
<itemize>
<item><bold>REVIEW:</bold></item>
<item>Shockley diodes are four-layer PNPN semiconductor devices.  They behave as a pair of interconnected PNP and NPN transistors.</item>
<item>Like all thyristors, Shockley diodes tend to stay on once they've been turned on (<italic>latched</italic>), and stay off once they've been turned off.</item>
<item>There are two ways to latch a Shockley diode: exceed the anode-to-cathode <italic>breakover</italic> voltage, or exceed the anode-to-cathode <italic>critical rate of voltage rise</italic>.</item>
<item>There is only one way to cause a Shockley diode to stop conducting, and that is to reduce the current going through it to a level below its <italic>low-current dropout</italic> threshold.</item>
</itemize>

</section>






<section>
<sectiontitle>The DIAC</sectiontitle>

<index>DIAC</index>

<para>
Like all diodes, Shockley diodes are unidirectional devices; that is, they only conduct current in one direction.  If bidirectional (AC) operation is desired, two Shockley diodes may be joined in parallel facing different directions to form a new kind of thyristor, the <italic>DIAC</italic>:
</para>

<image>03204.png</image> 

<para>
A DIAC operated with a DC voltage across it behaves exactly the same as a Shockley diode.  With AC, however, the behavior is different from what one might expect.  Because alternating current repeatedly reverses direction, DIACs will not stay latched longer than one-half cycle.  If a DIAC becomes latched, it will continue to conduct current only as long as there is voltage available to push enough current in that direction.  When the AC polarity reverses, as it must twice per cycle, the DIAC will drop out due to insufficient current, necessitating another breakover before it conducts again.  The result is a current waveform that looks like this:
</para>

<image>03205.png</image> 

<para>
DIACs are almost never used alone, but in conjunction with other thyristor devices.
</para>

</section>




<section>
<sectiontitle>The Silicon-Controlled Rectifier (SCR)</sectiontitle>

<index>Silicon-controlled rectifier</index>
<index>SCR</index>

<para>
Shockley diodes are curious devices, but rather limited in application.  Their usefulness may be expanded, however, by equipping them with another means of latching.  In doing so, they become true amplifying devices (if only in an on/off mode), and we refer to them as <italic>silicon-controlled rectifiers</italic>, or <italic>SCR</italic>s.
</para>

<para>
The progression from Shockley diode to SCR is achieved with one small addition, actually nothing more than a third wire connection to the existing PNPN structure:
</para>

<image>03206.png</image> 

<index>Floating</index>
<index>Critical rate of voltage rise</index>
<index>Voltage rise, critical rate of</index>

<para>
If an SCR's gate is left <italic>floating</italic> (disconnected), it behaves exactly as a Shockley diode.  It may be latched by breakover voltage or by exceeding the critical rate of voltage rise between anode and cathode, just as with the Shockley diode.  Dropout is accomplished by reducing current until one or both internal transistors fall into cutoff mode, also like the Shockley diode.  However, because the gate terminal connects directly to the base of the lower transistor, it may be used as an alternative means to latch the SCR.  By applying a small voltage between gate and cathode, the lower transistor will be forced <italic>on</italic> by the resulting base current, which will cause the upper transistor to conduct, which then supplies the lower transistor's base with current so that it no longer needs to be activated by a gate voltage.  The necessary gate current to initiate latch-up, of course, will be much lower than the current through the SCR from cathode to anode, so the SCR does achieve a measure of amplification.
</para>

<para>
This method of securing SCR conduction is called <italic>triggering</italic>, and it is by far the most common way that SCRs are latched in actual practice.  In fact, SCRs are usually chosen so that their breakover voltage is far beyond the greatest voltage expected to be experienced from the power source, so that it can be turned on <italic>only</italic> by an intentional voltage pulse applied to the gate.
</para>

<index>Gate-Turn-Off thyristor</index>
<index>Gate-Controlled Switch</index>
<index>GTO</index>
<index>GCS</index>

<para>
It should be mentioned that SCRs may <italic>sometimes</italic> be turned off by directly shorting their gate and cathode terminals together, or by "reverse-triggering" the gate with a negative voltage (in reference to the cathode), so that the lower transistor is forced into cutoff.  I say this is "sometimes" possible because it involves shunting all of the upper transistor's collector current past the lower transistor's base.  This current may be substantial, making triggered shut-off of an SCR difficult at best.  A variation of the SCR, called a <italic>Gate-Turn-Off</italic> thyristor, or <italic>GTO</italic>, makes this task easier.  But even with a GTO, the gate current required to turn it off may be as much as 20% of the anode (load) current!  The schematic symbol for a GTO is shown in the following illustration:
</para>

<image>03276.png</image> 

<para>
SCRs and GTOs share the same equivalent schematics (two transistors connected in a positive-feedback fashion), the only differences being details of construction designed to grant the NPN transistor a greater <beta> than the PNP.  This allows a smaller gate current (forward or reverse) to exert a greater degree of control over conduction from cathode to anode, with the PNP transistor's latched state being more dependent upon the NPN's than vice versa.  The Gate-Turn-Off thyristor is also known by the name of <italic>Gate-Controlled Switch</italic>, or <italic>GCS</italic>.
</para>

<para>
A rudimentary test of SCR function, or at least terminal identification, may be performed with an ohmmeter.  Because the internal connection between gate and cathode is a single PN junction, a meter should indicate continuity between these terminals with the red test lead on the gate and the black test lead on the cathode like this:
</para>

<image>03207.png</image> 

<para>
All other continuity measurements performed on an SCR will show "open" ("OL" on some digital multimeter displays).  It must be understood that this test is very crude and does <italic>not</italic> constitute a comprehensive assessment of the SCR.  It is possible for an SCR to give good ohmmeter indications and still be defective.  Ultimately, the only way to test an SCR is to subject it to a load current.
</para>

<para>
If you are using a multimeter with a "diode check" function, the gate-to-cathode junction voltage indication you get may or may not correspond to what's expected of a silicon PN junction (approximately 0.7 volts).  In some cases, you will read a much lower junction voltage: mere hundredths of a volt.  This is due to an internal resistor connected between the gate and cathode incorporated within some SCRs.  This resistor is added to make the SCR less susceptible to false triggering by spurious voltage spikes, from circuit "noise" or from static electric discharge.  In other words, having a resistor connected across the gate-cathode junction requires that a <italic>strong</italic> triggering signal (substantial current) be applied to latch the SCR.  This feature is often found in larger SCRs, not on small SCRs.  Bear in mind that an SCR with an internal resistor connected between gate and cathode will indicate continuity <italic>in both directions</italic> between those two terminals:
</para>

<image>03324.png</image> 

<index>Sensitive gate, SCR</index>

<para>
"Normal" SCRs, lacking this internal resistor, are sometimes referred to as <italic>sensitive gate</italic> SCRs due to their ability to be triggered by the slightest positive gate signal.
</para>

<para>
The test circuit for an SCR is both practical as a diagnostic tool for checking suspected SCRs and also an excellent aid to understanding basic SCR operation.  A DC voltage source is used for powering the circuit, and two pushbutton switches are used to latch and unlatch the SCR, respectively:
</para>

<image>03208.png</image> 

<para>
Actuating the normally-open "on" pushbutton switch connects the gate to the anode, allowing current from the negative terminal of the battery, through the cathode-gate PN junction, through the switch, through the load resistor, and back to the battery.  This gate current should force the SCR to latch on, allowing current to go directly from cathode to anode without further triggering through the gate.  When the "on" pushbutton is released, the load should remain energized.
</para>

<para>
Pushing the normally-closed "off" pushbutton switch breaks the circuit, forcing current through the SCR to halt, thus forcing it to turn off (low-current dropout).
</para>

<index>Holding current, SCR</index>

<para>
If the SCR fails to latch, the problem may be with the load and not the SCR.  There is a certain minimum amount of load current required to hold the SCR latched in the "on" state.  This minimum current level is called the <italic>holding current</italic>.  A load with too great a resistance value may not draw enough current to keep an SCR latched when gate current ceases, thus giving the false impression of a bad (unlatchable) SCR in the test circuit.  Holding current values for different SCRs should be available from the manufacturers.  Typical holding current values range from 1 milliamp to 50 milliamps or more for larger units.
</para>

<para>
For the test to be fully comprehensive, more than the triggering action needs to be tested.  The forward breakover voltage limit of the SCR could be tested by increasing the DC voltage supply (with no pushbuttons actuated) until the SCR latches all on its own.  Beware that a breakover test may require very high voltage: many power SCRs have breakover voltage ratings of 600 volts or more!  Also, if a pulse voltage generator is available, the critical rate of voltage rise for the SCR could be tested in the same way: subject it to pulsing supply voltages of different V/time rates with no pushbutton switches actuated and see when it latches.
</para>

<para>
In this simple form, the SCR test circuit could suffice as a start/stop control circuit for a DC motor, lamp, or other practical load:
</para>

<image>03209.png</image> 

<index>Power supply schematic, AC-DC</index>
<index>AC-DC power supply schematic</index>
<index>Crowbar</index>

<para>
Another practical use for the SCR in a DC circuit is as a <italic>crowbar</italic> device for overvoltage protection.  A "crowbar" circuit consists of an SCR placed in parallel with the output of a DC power supply, for the purpose of placing a direct short-circuit on the output of that supply to prevent excessive voltage from reaching the load.  Damage to the SCR and power supply is prevented by the judicious placement of a fuse or substantial series resistance ahead of the SCR to limit short-circuit current:
</para>

<image>03210.png</image> 

<para>
Some device or circuit sensing the output voltage will be connected to the gate of the SCR, so that when an overvoltage condition occurs, voltage will be applied between the gate and cathode, triggering the SCR and forcing the fuse to blow.  The effect will be approximately the same as dropping a solid steel crowbar directly across the output terminals of the power supply, hence the name of the circuit.
</para>

<index>Natural commutation</index>
<index>Commutation, natural</index>

<para>
Most applications of the SCR are for AC power control, despite the fact that SCRs are inherently DC (unidirectional) devices.  If bidirectional circuit current is required, multiple SCRs may be used, with one or more facing each direction to handle current through both half-cycles of the AC wave.  The primary reason SCRs are used at all for AC power control applications is the unique response of a thyristor to an alternating current.  As we saw in the case of the thyratron tube (the electron tube version of the SCR) and the DIAC, a hysteretic device triggered on during a portion of an AC half-cycle will latch and remain on throughout the remainder of the half-cycle until the AC current decreases to zero, as it must to begin the next half-cycle.  Just prior to the zero-crossover point of the current waveform, the thyristor will turn off due to insufficient current (this behavior is also known as <italic>natural commutation</italic>) and must be fired again during the next cycle.  The result is a circuit current equivalent to a "chopped up" sine wave.  For review, here is the graph of a DIAC's response to an AC voltage whose peak exceeds the breakover voltage of the DIAC:
</para>

<image>03205.png</image> 

<para>
With the DIAC, that breakover voltage limit was a fixed quantity.  With the SCR, we have control over exactly when the device becomes latched by triggering the gate at any point in time along the waveform.  By connecting a suitable control circuit to the gate of an SCR, we can "chop" the sine wave at any point to allow for time-proportioned power control to a load.
</para>

<para>
Take the following circuit as an example.  Here, an SCR is positioned in a circuit to control power to a load from an AC source:
</para>

<image>03211.png</image> 

<para>
Being a unidirectional (one-way) device, at most we can only deliver half-wave power to the load, in the half-cycle of AC where the supply voltage polarity is positive on the top and negative on the bottom.  However, for demonstrating the basic concept of time-proportional control, this simple circuit is better than one controlling full-wave power (which would require two SCRs).
</para>

<para>
With no triggering to the gate, and the AC source voltage well below the SCR's breakover voltage rating, the SCR will never turn on.  Connecting the SCR gate to the anode through a normal rectifying diode (to prevent reverse current through the gate in the event of the SCR containing a built-in gate-cathode resistor), will allow the SCR to be triggered almost immediately at the beginning of every positive half-cycle:
</para>

<image>03212.png</image> 

<para>
We can delay the triggering of the SCR, however, by inserting some resistance into the gate circuit, thus increasing the amount of voltage drop required before there is enough gate current to trigger the SCR.  In other words, if we make it harder for electrons to flow through the gate by adding a resistance, the AC voltage will have to reach a higher point in its cycle before there will be enough gate current to turn the SCR on.  The result looks like this:
</para>
 
<image>03213.png</image> 

<para>
With the half-sine wave chopped up to a greater degree by delayed triggering of the SCR, the load receives less average power (power is delivered for less time throughout a cycle).  By making the series gate resistor variable, we can make adjustments to the time-proportioned power:
</para>

<image>03214.png</image> 

<para>
Unfortunately, this control scheme has a significant limitation.  In using the AC source waveform for our SCR triggering signal, we limit control to the first half of the waveform's half-cycle.  In other words, there is no way for us to wait until <italic>after</italic> the wave's peak to trigger the SCR.  This means we can turn down the power only to the point where the SCR turns on at the very peak of the wave:
</para>

<image>03215.png</image> 

<para>
Raising the trigger threshold any more will cause the circuit to not trigger at all, since not even the peak of the AC power voltage will be enough to trigger the SCR.  The result will be no power to the load.
</para>

<para>
An ingenious solution to this control dilemma is found in the addition of a phase-shifting capacitor to the circuit:
</para>

<image>03216.png</image> 

<para>
The smaller waveform shown on the graph is voltage across the capacitor.   For the sake of illustrating the phase shift, I'm assuming a condition of maximum control resistance where the SCR is not triggering at all and there is no load current, save for what little current goes through the control resistor and capacitor.  This capacitor voltage will be phase-shifted anywhere from 0<superscript>o</superscript> to 90<superscript>o</superscript> lagging behind the power source AC waveform.  When this phase-shifted voltage reaches a high enough level, the SCR will trigger.
</para>

<para>
Assuming there is periodically enough voltage across the capacitor to trigger the SCR, the resulting load current waveform will look something like this:
</para>

<image>03217.png</image> 

<para>
Because the capacitor waveform is still <italic>rising</italic> after the main AC power waveform has reached its peak, it becomes possible to trigger the SCR at a threshold level beyond that peak, thus chopping the load current wave further than it was possible with the simpler circuit.  In reality, the capacitor voltage waveform is a bit more complex that what is shown here, its sinusoidal shape distorted every time the SCR latches on.  However, what I'm trying to illustrate here is the delayed triggering action gained with the phase-shifting RC network, and so a simplified, undistorted waveform serves the purpose well.
</para>

<para>
SCRs may also be triggered, or "fired," by more complex circuits.  While the circuit previously shown is sufficient for a simple application like a lamp control, large industrial motor controls often rely on more sophisticated triggering methods.  Sometimes, pulse transformers are used to couple a triggering circuit to the gate and cathode of an SCR to provide electrical isolation between the triggering and power circuits:
</para>

<image>03218.png</image> 

<index>Rectifier, controlled</index>
<index>Controlled rectifier</index>
<index>SCR bridge rectifier</index>

<para>
When multiple SCRs are used to control power, their cathodes are often <italic>not</italic> electrically common, making it difficult to connect a single triggering circuit to all SCRs equally.  An example of this is the <italic>controlled bridge rectifier</italic> shown here:
</para>

<image>03219.png</image> 

<para>
In any bridge rectifier circuit, the rectifying diodes (or in this case, the rectifying SCRs) must conduct in opposite pairs.  SCR<subscript>1</subscript> and SCR<subscript>3</subscript> must be fired simultaneously, and likewise SCR<subscript>2</subscript> and SCR<subscript>4</subscript> must be fired together as a pair.  As you will notice, though, these pairs of SCRs do not share the same cathode connections, meaning that it would not work to simply parallel their respective gate connections and connect a single voltage source to trigger both:
</para>

<image>03220.png</image> 

<para>
Although the triggering voltage source shown will trigger SCR<subscript>4</subscript>, it will not trigger SCR<subscript>2</subscript> properly because the two thyristors do not share a common cathode connection to reference that triggering voltage.  Pulse transformers connecting the two thyristor gates to a common triggering voltage source <italic>will</italic> work, however:
</para>

<image>03221.png</image> 

<para>
Bear in mind that this circuit only shows the gate connections for two out of the four SCRs.  Pulse transformers and triggering sources for SCR<subscript>1</subscript> and SCR<subscript>3</subscript>, as well as the details of the pulse sources themselves, have been omitted for the sake of simplicity.
</para>

<para>
Controlled bridge rectifiers are not limited to single-phase designs.  In most industrial control systems, AC power is available in three-phase form for maximum efficiency, and solid-state control circuits are built to take advantage of that.  A three-phase controlled rectifier circuit built with SCRs, without pulse transformers or triggering circuitry shown, would look like this:
</para>

<image>03222.png</image> 

<itemize>
<item><bold>REVIEW:</bold></item>
<item>A <italic>Silicon-Controlled Rectifier</italic>, or <italic>SCR</italic>, is essentially a Shockley diode with an extra terminal added.  This extra terminal is called the <italic>gate</italic>, and it is used to <italic>trigger</italic> the device into conduction (latch it) by the application of a small voltage.</item>
<item>To trigger, or <italic>fire</italic>, an SCR, voltage must be applied between the gate and cathode, positive to the gate and negative to the cathode.  When testing an SCR, a momentary connection between the gate and anode is sufficient in polarity, intensity, and duration to trigger it.</item>
<item>SCRs may be fired by intentional triggering of the gate terminal, excessive voltage (breakdown) between anode and cathode, or excessive rate of voltage rise between anode and cathode.  SCRs may be turned off by anode current falling below the <italic>holding current value</italic> (low-current dropout), or by "reverse-firing" the gate (applying a negative voltage to the gate).  Reverse-firing is only sometimes effective, and always involves high gate current.</item>
<item>A variant of the SCR, called a Gate-Turn-Off thyristor (GTO), is specifically designed to be turned off by means of reverse triggering.  Even then, reverse triggering requires fairly high current: typically 20% of the anode current.</item>
<item>SCR terminals may be identified by a continuity meter: the only two terminals showing any continuity between them at all should be the gate and cathode.  Gate and cathode terminals connect to a PN junction inside the SCR, so a continuity meter should obtain a diode-like reading between these two terminals with the red (+) lead on the gate and the black (-) lead on the cathode.  Beware, though, that some large SCRs have an internal resistor connected between gate and cathode, which will affect any continuity readings taken by a meter.</item>
<item>SCRs are true <italic>rectifiers</italic>: they only allow current through them in one direction.  This means they cannot be used alone for full-wave AC power control.</item>
<item>If the diodes in a rectifier circuit are replaced by SCRs, you have the makings of a <italic>controlled</italic> rectifier circuit, whereby DC power to a load may be time-proportioned by triggering the SCRs at different points along the AC power waveform.</item>
</itemize>

</section>






<section>
<sectiontitle>The TRIAC</sectiontitle>

<para>
SCRs are unidirectional (one-way) current devices, making them useful for controlling DC only.  If two SCRs are joined in back-to-back parallel fashion just like two Shockley diodes were joined together to form a DIAC, we have a new device known as the <italic>TRIAC</italic>:
</para>

<image>03223.png</image> 

<para>
Because individual SCRs are more flexible to use in advanced control systems, they are more commonly seen in circuits like motor drives, while TRIACs are usually seen in simple, low-power applications like household dimmer switches.  A simple lamp dimmer circuit is shown here, complete with the phase-shifting resistor-capacitor network necessary for after-peak firing.
</para>

<image>03224.png</image> 

<index>Harmonic</index>
<index>Harmonic, even vs. odd</index>
<index>Harmonics and waveform symmetry</index>
<index>Waveform symmetry and harmonics</index>

<para>
TRIACs are notorious for not firing <italic>symmetrically</italic>.  This means they usually won't trigger at the exact same gate voltage level for one polarity as for the other.  Generally speaking, this is undesirable, because unsymmetrical firing results in a current waveform with a greater variety of harmonic frequencies.  Waveforms that are symmetrical above and below their average centerlines are comprised of only odd-numbered harmonics.  Unsymmetrical waveforms, on the other hand, contain even-numbered harmonics (which may or may not be accompanied by odd-numbered harmonics as well).  
</para>

<para>
In the interest of reducing total harmonic content in power systems, the fewer and less diverse the harmonics, the better -- one more reason why individual SCRs are favored over TRIACs for complex, high-power control circuits.  One way to make the TRIAC's current waveform more symmetrical is to use a device external to the TRIAC to time the triggering pulse.  A DIAC placed in series with the gate does a fair job of this:
</para>

<image>03225.png</image> 

<para>
DIAC breakover voltages tend to be much more symmetrical (the same in one polarity as the other) than TRIAC triggering voltage thresholds.  Since the DIAC prevents any gate current until the triggering voltage has reached a certain, repeatable level in either direction, the firing point of the TRIAC from one half-cycle to the next tends to be more consistent, and the waveform more symmetrical above and below its centerline.
</para>

<para>
Practically all the characteristics and ratings of SCRs apply equally to TRIACs, except that TRIACs of course are bidirectional (can handle current in both directions).  Not much more needs to be said about this device except for an important caveat concerning its terminal designations.
</para>

<para>
From the equivalent circuit diagram shown earlier, one might think that main terminals 1 and 2 were interchangeable.  They are not!  Although it is helpful to imagine the TRIAC as being composed of two SCRs joined together, it in fact is constructed from a single piece of semiconducting material, appropriately doped and layered.  The actual operating characteristics may differ slightly from that of the equivalent model.
</para>

<para>
This is made most evident by contrasting two simple circuit designs, one that works and one that doesn't.  The following two circuits are a variation of the lamp dimmer circuit shown earlier, the phase-shifting capacitor and DIAC removed for simplicity's sake.  Although the resulting circuit lacks the fine control ability of the more complex version (with capacitor and DIAC), it <italic>does</italic> function:
</para>

<image>03226.png</image> 

<para>
Suppose we were to swap the two main terminals of the TRIAC around.  According to the equivalent circuit diagram shown earlier in this section, the swap should make no difference.  The circuit ought to work:
</para>

<image>03227.png</image> 

<para>
However, if this circuit is built, it will be found that it does not work!  The load will receive no power, the TRIAC refusing to fire at all, no matter how low or high a resistance value the control resistor is set to.  The key to successfully triggering a TRIAC is to make sure the gate receives its triggering current from the <italic>main terminal 2</italic> side of the circuit (the main terminal on the opposite side of the TRIAC symbol from the gate terminal).  Identification of the MT<subscript>1</subscript> and MT<subscript>2</subscript> terminals must be done via the TRIAC's part number with reference to a data sheet or book.
</para>

<itemize>
<item><bold>REVIEW:</bold></item>
<item>A <italic>TRIAC</italic> acts much like two SCRs connected back-to-back for bidirectional (AC) operation.</item>
<item>TRIAC controls are more often seen in simple, low-power circuits than complex, high-power circuits.  In large power control circuits, multiple SCRs tend to be favored.</item>
<item>When used to control AC power to a load, TRIACs are often accompanied by DIACs connected in series with their gate terminals.  The DIAC helps the TRIAC fire more symmetrically (more consistently from one polarity to another).</item>
<item>Main terminals 1 and 2 on a TRIAC are <italic>not</italic> interchangeable.</item>
<item>To successfully trigger a TRIAC, gate current must come from the <italic>main terminal 2</italic> (MT<subscript>2</subscript>) side of the circuit!</item>
</itemize>

</section>






<section>
<sectiontitle>Optothyristors</sectiontitle>

<para>
Like bipolar transistors, SCRs and TRIACs are also manufactured as light-sensitive devices, the action of impinging light replacing the function of triggering voltage.
</para>

<para>
Optically-controlled SCRs are often known by the acronym <italic>LASCR</italic>, or <bold>L</bold>ight <bold>A</bold>ctivated <bold>SCR</bold>.  Its symbol, not surprisingly, looks like this:
</para>

<image>03228.png</image> 

<para>
Optically-controlled TRIACs don't receive the honor of having their own acronym, but instead are humbly known as opto-TRIACs.  Their schematic symbol looks like this:
</para>

<image>03229.png</image> 

<para>
Optothyristors (a general term for either the LASCR or the opto-TRIAC) are commonly found inside sealed "optoisolator" modules.
</para>
 
</section>





<section>
<sectiontitle>The Unijunction Transistor (UJT) -- PENDING</sectiontitle>

<para>
Programmable Unijunction Transistors (PUTs).
</para>

  
<itemize>
<item><bold>REVIEW:</bold></item>
<item></item>
<item></item>
<item></item>
</itemize>

</section>






<section>
<sectiontitle>The Silicon-Controlled Switch (SCS)</sectiontitle>

<index>Silicon-controlled switch</index>
<index>SCS</index>

<para>
If we take the equivalent circuit for an SCR and add another external terminal, connected to the base of the top transistor and the collector of the bottom transistor, we have a device known as a <italic>silicon-controlled-switch</italic>, or <italic>SCS</italic>:
</para>

<image>03319.png</image> 

<index>Forced commutation</index>
<index>Commutation, forced</index>

<para>
This extra terminal allows more control to be exerted over the device, particularly in the mode of <italic>forced commutation</italic>, where an external signal forces it to turn off while the main current through the device has not yet fallen below the holding current value.  Consider the following circuit:
</para>

<image>03320.png</image> 

<para>
When the "on" pushbutton switch is actuated, there is a voltage applied between the cathode gate and the cathode, forward-biasing the lower transistor's base-emitter junction, and turning it on.  The top transistor of the SCS is ready to conduct, having been supplied with a current path from its emitter terminal (the SCS's anode terminal) through resistor R<subscript>2</subscript> to the positive side of the power supply.  As in the case of the SCR, both transistors turn on and maintain each other in the "on" mode.  When the lower transistor turns on, it conducts the motor's load current, and the motor starts and runs.
</para>

<index>Natural commutation</index>
<index>Commutation, natural</index>
<index>Forced commutation</index>
<index>Commutation, forced</index>

<para>
The motor may be stopped by interrupting the power supply, as with an SCR, and this is called <italic>natural commutation</italic>.  However, the SCS provides us with another means of turning off: <italic>forced commutation</italic> by shorting the anode terminal to the cathode.  If this is done (by actuating the "off" pushbutton switch), the upper transistor within the SCS will lose its emitter current, thus halting current through the base of the lower transistor.  When the lower transistor turns off, it breaks the circuit for base current through the top transistor (securing its "off" state), and the motor (making it stop).  The SCS will remain in the off condition until such time that the "on" pushbutton switch is re-actuated.
</para>

<itemize>
<item><bold>REVIEW:</bold></item>
<item>A <italic>silicon-controlled switch</italic>, or <italic>SCS</italic>, is essentially an SCR with an extra gate terminal.</item>
<item>Typically, the load current through an SCS is carried by the <italic>anode gate</italic> and <italic>cathode</italic> terminals, with the <italic>cathode gate</italic> and <italic>anode</italic> terminals sufficing as control leads.</item>
<item>An SCS is turned on by applying a positive voltage between the <italic>cathode gate</italic> and <italic>cathode</italic> terminals.  It may be turned off (forced commutation) by applying a negative voltage between the <italic>anode</italic> and <italic>cathode</italic> terminals, or simply by shorting those two terminals together.  The <italic>anode</italic> terminal must be kept positive with respect to the cathode in order for the SCS to latch.</item>
</itemize>

</section>






<section>
<sectiontitle>Field-effect-controlled thyristors</sectiontitle>

<index>MOS-gated thyristor</index>
<index>MOS Controlled Thyristor</index>

<para>
Two relatively recent technologies designed to reduce the "driving" (gate trigger current) requirements of classic thyristor devices are the <italic>MOS-gated thyristor</italic> and the <italic>MOS Controlled Thyristor</italic>, or <italic>MCT</italic>.
</para>

<para>
The MOS-gated thyristor uses a MOSFET to initiate conduction through the upper (PNP) transistor of a normal thyristor structure, thus triggering the device.  Since a MOSFET requires negligible current to "drive" (cause it to saturate), this makes the thyristor as a whole very easy to trigger:
</para>

<image>03331.png</image> 

<para>
Given the fact that ordinary SCRs are quite easy to "drive" as it is, the practical advantage of using an even more sensitive device (a MOSFET) to initiate triggering is debatable.  Also, placing a MOSFET at the gate input of the thyristor now makes it <italic>impossible</italic> to turn it off by a reverse-triggering signal.  Only low-current dropout can make this device stop conducting after it has been latched.
</para>

<para>
A device of arguably greater value would be a fully-controllable thyristor, whereby a small gate signal could both trigger the thyristor and force it to turn off.  Such a device does exist, and it is called the <italic>MOS Controlled Thyristor</italic>, or <italic>MCT</italic>.  It uses a pair of MOSFETs connected to a common gate terminal, one to trigger the thyristor and the other to "untrigger" it:
</para>

<image>03332.png</image> 

<para>
A positive gate voltage (with respect to the cathode) turns on the upper (N-channel) MOSFET, allowing base current through the upper (PNP) transistor, which latches the transistor pair in an "on" state.  Once both transistors are fully latched, there will be little voltage dropped between anode and cathode, and the thyristor will remain latched so long as the controlled current exceeds the minimum (holding) current value.  However, if a negative gate voltage is applied (with respect to the anode, which is at nearly the same voltage as the cathode in the latched state), the lower MOSFET will turn on and "short" between the lower (NPN) transistor's base and emitter terminals, thus forcing it into cutoff.  Once the NPN transistor cuts off, the PNP transistor will drop out of conduction, and the whole thyristor turns off.  Gate voltage has full control over conduction through the MCT: to turn it on and to turn it off.
</para>

<index>IGBT</index>
<index>Insulated-Gate Bipolar Transistor</index>
<index>IGT</index>
<index>Insulated-Gate Transistor</index>

<para>
This device is still a thyristor, though.  If there is zero voltage applied between gate and cathode, neither MOSFET will turn on.  Consequently, the bipolar transistor pair will remain in whatever state it was last in (hysteresis).  So, a brief positive pulse to the gate turns the MCT on, a brief negative pulse forces it off, and no applied gate voltage lets it remain in whatever state it is already in.  In essence, the MCT is a latching version of the IGBT (Insulated Gate Bipolar Transistor).
</para>

<itemize>
<item><bold>REVIEW:</bold></item>
<item>A <italic>MOS-gated thyristor</italic> uses an N-channel MOSFET to trigger a thyristor, resulting in an extremely low gate current requirement.</item>
<item>A <italic>MOS Controlled Thyristor</italic>, or <italic>MCT</italic>, uses two MOSFETS to exert full control over the thyristor.  A positive gate voltage triggers the device, while a negative gate voltage forces it to turn off.  Zero gate voltage allows the thyristor to remain in whatever state it was previously in (off, or latched on).</item>
</itemize>

</section>



</chapter>

<pagebreak>

